Package org.apache.sling.maven.bundlesupport.deploy.method

# Class WebDavPutDeployMethod

java.lang.Object
org.apache.sling.maven.bundlesupport.deploy.method.WebDavPutDeployMethod

All Implemented Interfaces:
  `DeployMethod`

public class WebDavPutDeployMethod extends Object implements DeployMethod

## Constructor Summary

Constructors
Constructor
Description
`WebDavPutDeployMethod()`

## Method Summary

Modifier and Type
Method
Description
`void`
`deploy(URI targetURL, File file, String bundleSymbolicName, DeployContext context)`
Deploy/install a bundle on a Sling instance.
`void`
`undeploy(URI targetURL, String bundleName, DeployContext context)`
Undeploy/uninstall a bundle on a Sling instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebDavPutDeployMethod

public WebDavPutDeployMethod()

## Method Details

### deploy

public void deploy(URI targetURL, File file, String bundleSymbolicName, DeployContext context) throws IOException
Description copied from interface: `DeployMethod`
Deploy/install a bundle on a Sling instance.

Specified by:
  `deploy` in interface `DeployMethod`
Parameters:
  `targetURL` - Target URL
  `file` - Bundle file
  `bundleSymbolicName` - Bundle symbolic name
  `context` - Deploy context parameters
Throws:
  `IOException` - in case of failure

### undeploy

public void undeploy(URI targetURL, String bundleName, DeployContext context) throws IOException
Description copied from interface: `DeployMethod`
Undeploy/uninstall a bundle on a Sling instance.

Specified by:
  `undeploy` in interface `DeployMethod`
Parameters:
  `targetURL` - Target URL
  `bundleName` - Bundle symbolic name or file name (for all methods except for `FelixPostDeployMethod`)
  `context` - Deploy context parameters
Throws:
  `IOException` - in case of failure